Subject: bug#22320: Overlays with an 'invisible property break stacking of overlay faces

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Jan 2016 22:12:42 +0200

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Thu, 7 Jan 2016 14:07:14 -0500
> 
> I find the current situation more confusing, as it introduces many inconsistencies. Inheriting the face of the first hidden character, and applying it to each dot in the ellipsis, seems a lot more consistent to me (and it does feel predictable).

I don't see how it would be less confusing: the invisible characters
are invisible, so figuring out why some ellipses are in black, others
in blue, still others have some non-default background colors, and
some use a different font, sounds like mission impossible to me: you
don't see the text that gives the ellipsis its looks.

> The same problems exist for composition, but keeping the properties of the first character seems to work well there; maybe we could consider harmonizing both behaviors?

I'm not sure I understand what exactly are you proposing to do.  We
cannot treat invisible text like we treat character compositions, each
one invokes a very different machinery with distinct and very
different features.